OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.BlendMinmax

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTBlendMinmax :: MonadIO m => m Bool
- gl_EXT_blend_minmax :: Bool
- pattern GL_BLEND_EQUATION_EXT :: GLenum
- pattern GL_FUNC_ADD_EXT :: GLenum
- pattern GL_MAX_EXT :: GLenum
- pattern GL_MIN_EXT :: GLenum
- glBlendEquationEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTBlendMinmax :: MonadIO m => m Bool Source #

Is the EXT_blend_minmax extension supported?

gl_EXT_blend_minmax :: Bool Source #

Is the EXT_blend_minmax extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTBlendMinmax` in those cases instead.

# Enums

pattern GL_BLEND_EQUATION_EXT :: GLenum Source #

pattern GL_FUNC_ADD_EXT :: GLenum Source #

pattern GL_MAX_EXT :: GLenum Source #

pattern GL_MIN_EXT :: GLenum Source #

# Functions

glBlendEquationEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type BlendEquationModeEXT.
-> m () |

This command is an alias for `glBlendEquation`.